
#ifndef GUI_WINDOW_H
#define GUI_WINDOW_H

#include <TApplication.h>
#include <TGClient.h>
#include <TGFrame.h>
#include <TGLabel.h>
#include <TGButton.h>
#include <RQ_OBJECT.h>
#include <Riostream.h>

class GuiWindow : public TGMainFrame
{
public:

	GuiWindow();
	virtual ~GuiWindow();

	// Override.
	virtual void CloseWindow();
	
	// Slots for buttons
	void StartIncrement();
	void StopIncrement();

	void UpdateCounter();

private:

	TGTextButton* startbutton;
	TGTextButton* stopbutton;
	TGLabel* label;
	TGLabel* outputlabel;

	ClassDef(GuiWindow, 0)
};


#endif // GUI_WINDOW_H
